# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from ._models_py3 import AccountCredentialDetails
    from ._models_py3 import AddressValidationOutput
    from ._models_py3 import ApplianceNetworkConfiguration
    from ._models_py3 import ArmBaseObject
    from ._models_py3 import AvailableSkuRequest
    from ._models_py3 import CancellationReason
    from ._models_py3 import ContactDetails
    from ._models_py3 import CopyLogDetails
    from ._models_py3 import CopyProgress
    from ._models_py3 import DataBoxAccountCopyLogDetails
    from ._models_py3 import DataBoxDiskCopyLogDetails
    from ._models_py3 import DataBoxDiskCopyProgress
    from ._models_py3 import DataBoxDiskJobDetails
    from ._models_py3 import DataBoxDiskJobSecrets
    from ._models_py3 import DataBoxHeavyAccountCopyLogDetails
    from ._models_py3 import DataBoxHeavyJobDetails
    from ._models_py3 import DataBoxHeavyJobSecrets
    from ._models_py3 import DataBoxHeavySecret
    from ._models_py3 import DataBoxJobDetails
    from ._models_py3 import DataboxJobSecrets
    from ._models_py3 import DataBoxSecret
    from ._models_py3 import DestinationAccountDetails
    from ._models_py3 import DestinationManagedDiskDetails
    from ._models_py3 import DestinationStorageAccountDetails
    from ._models_py3 import DestinationToServiceLocationMap
    from ._models_py3 import DiskSecret
    from ._models_py3 import Error
    from ._models_py3 import JobDetails
    from ._models_py3 import JobErrorDetails
    from ._models_py3 import JobResource
    from ._models_py3 import JobResourceUpdateParameter
    from ._models_py3 import JobSecrets
    from ._models_py3 import JobStages
    from ._models_py3 import NotificationPreference
    from ._models_py3 import Operation
    from ._models_py3 import OperationDisplay
    from ._models_py3 import PackageShippingDetails
    from ._models_py3 import Preferences
    from ._models_py3 import Resource
    from ._models_py3 import ShareCredentialDetails
    from ._models_py3 import ShipmentPickUpRequest
    from ._models_py3 import ShipmentPickUpResponse
    from ._models_py3 import ShippingAddress
    from ._models_py3 import Sku
    from ._models_py3 import SkuCapacity
    from ._models_py3 import SkuCost
    from ._models_py3 import SkuInformation
    from ._models_py3 import UnencryptedCredentials
    from ._models_py3 import UpdateJobDetails
    from ._models_py3 import ValidateAddress
except (SyntaxError, ImportError):
    from ._models import AccountCredentialDetails
    from ._models import AddressValidationOutput
    from ._models import ApplianceNetworkConfiguration
    from ._models import ArmBaseObject
    from ._models import AvailableSkuRequest
    from ._models import CancellationReason
    from ._models import ContactDetails
    from ._models import CopyLogDetails
    from ._models import CopyProgress
    from ._models import DataBoxAccountCopyLogDetails
    from ._models import DataBoxDiskCopyLogDetails
    from ._models import DataBoxDiskCopyProgress
    from ._models import DataBoxDiskJobDetails
    from ._models import DataBoxDiskJobSecrets
    from ._models import DataBoxHeavyAccountCopyLogDetails
    from ._models import DataBoxHeavyJobDetails
    from ._models import DataBoxHeavyJobSecrets
    from ._models import DataBoxHeavySecret
    from ._models import DataBoxJobDetails
    from ._models import DataboxJobSecrets
    from ._models import DataBoxSecret
    from ._models import DestinationAccountDetails
    from ._models import DestinationManagedDiskDetails
    from ._models import DestinationStorageAccountDetails
    from ._models import DestinationToServiceLocationMap
    from ._models import DiskSecret
    from ._models import Error
    from ._models import JobDetails
    from ._models import JobErrorDetails
    from ._models import JobResource
    from ._models import JobResourceUpdateParameter
    from ._models import JobSecrets
    from ._models import JobStages
    from ._models import NotificationPreference
    from ._models import Operation
    from ._models import OperationDisplay
    from ._models import PackageShippingDetails
    from ._models import Preferences
    from ._models import Resource
    from ._models import ShareCredentialDetails
    from ._models import ShipmentPickUpRequest
    from ._models import ShipmentPickUpResponse
    from ._models import ShippingAddress
    from ._models import Sku
    from ._models import SkuCapacity
    from ._models import SkuCost
    from ._models import SkuInformation
    from ._models import UnencryptedCredentials
    from ._models import UpdateJobDetails
    from ._models import ValidateAddress
from ._paged_models import JobResourcePaged
from ._paged_models import OperationPaged
from ._paged_models import SkuInformationPaged
from ._paged_models import UnencryptedCredentialsPaged
from ._data_box_management_client_enums import (
    ShareDestinationFormatType,
    AccessProtocol,
    AddressValidationStatus,
    AddressType,
    SkuName,
    SkuDisabledReason,
    NotificationStageName,
    CopyStatus,
    StageName,
    StageStatus,
)

__all__ = [
    'AccountCredentialDetails',
    'AddressValidationOutput',
    'ApplianceNetworkConfiguration',
    'ArmBaseObject',
    'AvailableSkuRequest',
    'CancellationReason',
    'ContactDetails',
    'CopyLogDetails',
    'CopyProgress',
    'DataBoxAccountCopyLogDetails',
    'DataBoxDiskCopyLogDetails',
    'DataBoxDiskCopyProgress',
    'DataBoxDiskJobDetails',
    'DataBoxDiskJobSecrets',
    'DataBoxHeavyAccountCopyLogDetails',
    'DataBoxHeavyJobDetails',
    'DataBoxHeavyJobSecrets',
    'DataBoxHeavySecret',
    'DataBoxJobDetails',
    'DataboxJobSecrets',
    'DataBoxSecret',
    'DestinationAccountDetails',
    'DestinationManagedDiskDetails',
    'DestinationStorageAccountDetails',
    'DestinationToServiceLocationMap',
    'DiskSecret',
    'Error',
    'JobDetails',
    'JobErrorDetails',
    'JobResource',
    'JobResourceUpdateParameter',
    'JobSecrets',
    'JobStages',
    'NotificationPreference',
    'Operation',
    'OperationDisplay',
    'PackageShippingDetails',
    'Preferences',
    'Resource',
    'ShareCredentialDetails',
    'ShipmentPickUpRequest',
    'ShipmentPickUpResponse',
    'ShippingAddress',
    'Sku',
    'SkuCapacity',
    'SkuCost',
    'SkuInformation',
    'UnencryptedCredentials',
    'UpdateJobDetails',
    'ValidateAddress',
    'OperationPaged',
    'JobResourcePaged',
    'UnencryptedCredentialsPaged',
    'SkuInformationPaged',
    'ShareDestinationFormatType',
    'AccessProtocol',
    'AddressValidationStatus',
    'AddressType',
    'SkuName',
    'SkuDisabledReason',
    'NotificationStageName',
    'CopyStatus',
    'StageName',
    'StageStatus',
]
